#
# spec file for package rubygem-spring
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-spring
Version:        4.2.1
Release:        1.1
%define mod_name spring
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} == 1500
%define rb_build_versions  ruby27
%define rb_build_ruby_abis ruby:2.7.0
%endif
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
URL:            https://github.com/rails/spring
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rails application preloader
License:        MIT
PreReq:         update-alternatives

%description
Preloads your application so things like console, rake and tests run faster.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 4.2.1, no changelog found
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 4.1.3, no changelog found
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 4.1.2, no changelog found
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 4.1.1, no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.1.0
  no changelog found
* Thu Jan 27 2022 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.7.0 on 15.x
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.0
  no changelog found
* Sun Oct 10 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.0.0
  * Require applications to have reloading enabled in the managed environments.
  * Require Ruby 2.5.
  * Require Rails 5.2.
* Sat Sep 12 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.1.1
  * Avoid -I rubylibdir with default-gem bundler
  * Start server process in directory where command was called
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.1.0
  * Add explicit support for Rails 6 (no changes were needed)
  * Drop support to Ruby 1.9, 2.0, 2.1, and 2.3
  * Fix binstubs not being replaced when their quoting style was changed (#534)
  * Preserve comments right after the shebang line which might include magic comments such as `frozen_string_literal: true`
  * Fix binstub failures when Bundler's `BUNDLE_APP_CONFIG` environment variable is present (#545)
  * Properly suspend and resume on ctrl-z TSTP and CONT (#361)
* Tue May 23 2017 coolo@suse.com
- updated to version 2.0.2
  no changelog found
* Sun Jan 22 2017 coolo@suse.com
- updated to version 2.0.1
  no changelog found
* Sun Oct  2 2016 coolo@suse.com
- updated to version 2.0.0
  no changelog found
* Sat Jul  2 2016 coolo@suse.com
- updated to version 1.7.2
  no changelog found
* Tue Apr 12 2016 coolo@suse.com
- updated to version 1.7.1
  no changelog found
* Mon Apr 11 2016 coolo@suse.com
- updated to version 1.7.0
  no changelog found
* Sat Feb 27 2016 coolo@suse.com
- updated to version 1.6.4
  no changelog found
* Fri Feb  5 2016 coolo@suse.com
- updated to version 1.6.3
  no changelog found
* Thu Jan 21 2016 coolo@suse.com
- updated to version 1.6.2
  no changelog found
* Tue Dec 15 2015 coolo@suse.com
- updated to version 1.6.0
  no changelog found
* Tue Dec  1 2015 coolo@suse.com
- updated to version 1.5.0
  no changelog found
* Mon Nov 23 2015 coolo@suse.com
- updated to version 1.4.4
  no changelog found
* Wed Nov 11 2015 coolo@suse.com
- updated to version 1.4.1
  no changelog found
* Sun Sep 13 2015 coolo@suse.com
- updated to version 1.4.0
  no changelog found
* Sat May  9 2015 coolo@suse.com
- updated to version 1.3.6
  no changelog found
* Thu Apr 30 2015 coolo@suse.com
- updated to version 1.3.5
  no changelog found
* Thu Apr  9 2015 coolo@suse.com
- updated to version 1.3.4, changelog is gone
* Fri Feb 27 2015 coolo@suse.com
- updated to version 1.3.3
  * Fix yet another problem with loading spring which seems to affect
  some/all rbenv users. Issue #390.
* Sun Feb 15 2015 coolo@suse.com
- updated to version 1.3.2
  * Fix another problem with gems bundled from git repositories.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.3.1
  * Fix a problem with gems bundled from a git repository, where the
  `bin/spring` was generated before 1.3.0.
  [#]# 1.3.0
  * Automatically restart spring after new commands are added. This means
  that you can add spring-commands-rspec to your Gemfile and then
  immediately start using it, without having to run `spring stop`.
  (Spring will effectively run `spring stop` for you.)
  * Make app reloading work in apps which spew out lots of output on
  startup (previously a buffer would fill up and cause the process to
  hang). Issue #332.
  * Make sure running `bin/spring` does not add an empty string to `Gem.path`.
  Issues #297, #310.
  * Fixed problem with `$0` including the command line args, which could
  confuse commands which try to parse `$0`. This caused the
  spring-commands-rspec to not work properly in some cases. Issue #369.
  * Add OpenBSD compatibility for `spring status`. Issue #299.
  * Rails 3.2 no longer officially supported (but it may continue to work)
  [#]# 1.2.0
  * Accept -e and --environment options for `rails console`.
  * Watch `config/secrets.yml` by default. #289 - @morgoth
  * Change monkey-patched `Kernel.raise` from public to private (to match default Ruby behavior) #351 - @mattbrictson
  * Let application_id also respect RUBY_VERSION for the use case of switching between Ruby versions for a given Rails app - @methodmissing
  * Extract the 'listen' watcher to a separate `spring-watcher-listen`
  gem. This allows it to be developed/maintained separately.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.3
  * The `rails runner` command no longer passes environment switches to
  files which it runs. Issue #272.
  * Various issues solved to do with termination / processes hanging around
  longer than they should. Issue #290.
* Sat Apr 12 2014 coolo@suse.com
- initial package
